VERSION 5.00
Begin VB.Form MainForm 
   Caption         =   "Main Form"
   ClientHeight    =   2550
   ClientLeft      =   930
   ClientTop       =   1005
   ClientWidth     =   6255
   LinkTopic       =   "Form1"
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   2550
   ScaleWidth      =   6255
   Begin VB.Frame fraInterfaceControls 
      Caption         =   "CheckBoxes"
      Height          =   1335
      Index           =   2
      Left            =   360
      TabIndex        =   9
      Top             =   1680
      Visible         =   0   'False
      Width           =   4575
      Begin VB.CheckBox chkForms 
         Caption         =   "Form &1"
         Height          =   255
         Index           =   0
         Left            =   600
         TabIndex        =   13
         Top             =   240
         Width           =   1215
      End
      Begin VB.CheckBox chkForms 
         Caption         =   "Form &2"
         Height          =   255
         Index           =   1
         Left            =   600
         TabIndex        =   12
         Top             =   600
         Width           =   1215
      End
      Begin VB.CheckBox chkForms 
         Caption         =   "Form &3"
         Height          =   255
         Index           =   2
         Left            =   600
         TabIndex        =   11
         Top             =   960
         Width           =   1215
      End
      Begin VB.CommandButton cmdOpenCheckedForms 
         Caption         =   "Open Forms"
         Height          =   495
         Left            =   2640
         TabIndex        =   10
         Top             =   480
         Width           =   1215
      End
   End
   Begin VB.Frame fraInterfaceControls 
      Caption         =   "List"
      Height          =   1335
      Index           =   1
      Left            =   240
      TabIndex        =   6
      Top             =   1440
      Visible         =   0   'False
      Width           =   4575
      Begin VB.ListBox lstForms 
         Height          =   645
         ItemData        =   "Main.frx":0000
         Left            =   720
         List            =   "Main.frx":000D
         MultiSelect     =   2  'Extended
         TabIndex        =   8
         Top             =   360
         Width           =   1575
      End
      Begin VB.CommandButton cmdOpenListSelectedForm 
         Caption         =   "Open Form"
         Height          =   495
         Left            =   2520
         TabIndex        =   7
         Top             =   480
         Width           =   1215
      End
   End
   Begin VB.Frame fraInterfaceControls 
      Caption         =   "Buttons"
      Height          =   1335
      Index           =   0
      Left            =   120
      TabIndex        =   2
      Top             =   1200
      Width           =   4575
      Begin VB.CommandButton cmdOpenFormButton 
         Caption         =   "Open Form &1"
         Height          =   495
         Index           =   0
         Left            =   240
         TabIndex        =   5
         Top             =   480
         Width           =   1215
      End
      Begin VB.CommandButton cmdOpenFormButton 
         Caption         =   "Open Form &2"
         Height          =   495
         Index           =   1
         Left            =   1680
         TabIndex        =   4
         Top             =   480
         Width           =   1215
      End
      Begin VB.CommandButton cmdOpenFormButton 
         Caption         =   "Open Form &3"
         Height          =   495
         Index           =   2
         Left            =   3120
         TabIndex        =   3
         Top             =   480
         Width           =   1215
      End
   End
   Begin VB.ComboBox cboUIChoice 
      Height          =   315
      ItemData        =   "Main.frx":0029
      Left            =   4680
      List            =   "Main.frx":0036
      Style           =   2  'Dropdown List
      TabIndex        =   0
      Top             =   0
      Width           =   1575
   End
   Begin VB.Label Label1 
      Caption         =   $"Main.frx":0061
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.75
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   975
      Left            =   120
      TabIndex        =   1
      Top             =   120
      Width           =   4455
   End
End
Attribute VB_Name = "MainForm"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private CurrentInterface As Integer
Private UpdatingCbo As Boolean

' Select the new user interface.
Private Sub cboUIChoice_Click()
    ' Do nothing if we are just updating the
    ' ComboBox (see Form_Activate).
    If UpdatingCbo Then Exit Sub

    ' Record the setting for everyone else.
    SelectedInterface = cboUIChoice.ListIndex

    ' Update our interface.
    Form_Activate
End Sub

' Open the forms selected by CheckBoxes.
Private Sub cmdOpenCheckedForms_Click()
Dim i As Integer

    For i = 0 To 2
        If chkForms(i).Value = vbChecked _
            Then cmdOpenFormButton_Click i
    Next i
End Sub

' Open the correct form.
Private Sub cmdOpenFormButton_Click(Index As Integer)
    Select Case Index
        Case 0
            Form1.Show
        Case 1
            Form2.Show
        Case 2
            Form3.Show
    End Select
End Sub


' Open forms selected by the list.
Private Sub cmdOpenListSelectedForm_Click()
Dim i As Integer

    For i = 0 To 2
        If lstForms.Selected(i) _
            Then cmdOpenFormButton_Click i
    Next i
End Sub

' Make sure we have the correct user interface.
Private Sub Form_Activate()
    ' If we are already using the right interface,
    ' do nothing.
    If CurrentInterface = SelectedInterface _
        Then Exit Sub

    ' Make the ComboBox's Click event do nothing.
    UpdatingCbo = True
    cboUIChoice.ListIndex = SelectedInterface
    UpdatingCbo = False

    ' **********************************
    ' * Set the correct interface here *
    ' **********************************
    ' Use the correct interface.
    fraInterfaceControls(CurrentInterface).Visible _
        = False
    fraInterfaceControls(SelectedInterface).Visible _
        = True
    ' *************************************
    ' * End setting the correct interface *
    ' *************************************

    ' Remember which interface we are using.
    CurrentInterface = SelectedInterface
End Sub
' Select the default interface.
Private Sub Form_Load()
Dim i As Integer

    cboUIChoice.ListIndex = 0
    
    ' Put all the interface frames in the same spot.
    For i = 1 To fraInterfaceControls.UBound
        fraInterfaceControls(i).Move _
            fraInterfaceControls(0).Left, _
            fraInterfaceControls(0).Top
    Next i
End Sub


Private Sub Form_Resize()
    cboUIChoice.Move ScaleWidth - cboUIChoice.Width, 0
End Sub


' Unload the other windows.
Private Sub Form_Unload(Cancel As Integer)
    Unload Form1
    Unload Form2
    Unload Form3
End Sub


